Subject: Re: Make commit messages optional

From: Junio C Hamano <[email-masked]>
Date: Mon, 11 Apr 2022 14:09:54 -0700

Michal Suchánek <[email-masked]> writes:

>> In any case, "--allow-empty-messages" exists, and that is where we
>> draw the line.  We will not bend over backwards beyond it.
>
> Isn't special-casing the empty message bending over backwards to some
> other influence instead?

Not at all.

Even though the low level plumbing commands try to be accomodating
to people with different tastes, the Porcelain layer is opinionated
itself, and tries to give defaults that encourage good development
practice to interactive users.  There is no need for some other
influence---we chose to reject creating commits with empty messages
to prevent mistakes that novices may find hard to recover from,
and that's final.